=== debian/changelog ===
pytorch-cluster (1.6.3-2) unstable; urgency=medium

  * Team upload.
  * d/control: bump std-ver to 4.7.1 (no changes required)
  * d/rules: make dh_auto_clean more robust.
  * Rebuild for libtorch2.6 transition.

 -- Shengqi Chen <harry@debian.org>  Sun, 23 Feb 2025 23:57:36 +0800

pytorch-cluster (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3
  * Build on default only as python3-torch is built only there
    (Closes: #1058168)
  * Set upstream metadata fields: Repository.

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Dec 2023 03:57:52 -0500

pytorch-cluster (1.6.1-2) unstable; urgency=medium

  * Switch to Testsuite: autopkgtest-pkg-pybuild.
  * Binary package depends on python3-torch.

 -- Andrius Merkys <merkys@debian.org>  Tue, 03 Oct 2023 02:23:49 -0400

pytorch-cluster (1.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1052148)

 -- Andrius Merkys <merkys@debian.org>  Mon, 18 Sep 2023 03:45:44 -0400
