=== debian/control ===
Source: pytorch-cluster
Section: science
Priority: optional
Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libtorch-dev,
 pybind11-dev,
 python3,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-torch,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.1
Homepage: https://github.com/rusty1s/pytorch_cluster
Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-cluster
Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-cluster.git

Package: python3-torch-cluster
Architecture: any
Multi-Arch: foreign
Depends:
 python3-torch,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: PyTorch extension library of optimized graph cluster algorithms (Python 3)
 This package consists of a small extension library of highly optimized graph
 cluster algorithms for the use in PyTorch. The package consists of the
 following clustering algorithms:
 .
  * Graclus from Dhillon et al.: Weighted Graph Cuts without Eigenvectors: A
    Multilevel Approach
  * Voxel Grid Pooling from, e.g., Simonovsky and Komodakis: Dynamic
    Edge-Conditioned Filters in Convolutional Neural Networks on Graphs
  * Iterative Farthest Point Sampling from, e.g. Qi et al.: PointNet++: Deep
    Hierarchical Feature Learning on Point Sets in a Metric Space
  * k-NN and Radius graph generation
  * Clustering based on nearest points
  * Random Walk Sampling from, e.g., Grover and Leskovec: node2vec: Scalable
    Feature Learning for Networks
 .
 All included operations work on varying data types and are implemented both
 for CPU and GPU.
 .
 This package installs the library for Python 3.
