=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pytorch-cluster

export http_proxy = 127.0.0.1:9
export https_proxy = 127.0.0.1:9

%:
	dh $@ --buildsystem pybuild

override_dh_auto_clean:
	-dh_auto_clean
	-$(RM) -rf .pybuild/
